<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<document type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="3.0" toolsVersion="7706" systemVersion="15A204h" targetRuntime="MacOSX.Cocoa" propertyAccessControl="none">
    <dependencies>
        <deployment version="1050" identifier="macosx"/>
        <plugIn identifier="com.apple.InterfaceBuilder.CocoaPlugin" version="7706"/>
    </dependencies>
    <objects>
        <customObject id="-2" userLabel="File's Owner" customClass="CDConnectionController">
            <connections>
                <outlet property="alertIcon" destination="179" id="180"/>
                <outlet property="anonymousCheckbox" destination="148" id="149"/>
                <outlet property="connectmodePopup" destination="234" id="243"/>
                <outlet property="encodingPopup" destination="237" id="244"/>
                <outlet property="hostPopup" destination="105" id="107"/>
                <outlet property="keychainCheckbox" destination="128" id="147"/>
                <outlet property="passField" destination="11" id="46"/>
                <outlet property="pathField" destination="231" id="247"/>
                <outlet property="pkCheckbox" destination="232" id="245"/>
                <outlet property="pkLabel" destination="233" id="246"/>
                <outlet property="portField" destination="24" id="48"/>
                <outlet property="protocolPopup" destination="21" id="50"/>
                <outlet property="toggleOptionsButton" destination="248" id="262"/>
                <outlet property="urlLabel" destination="133" id="134"/>
                <outlet property="usernameField" destination="26" id="45"/>
                <outlet property="window" destination="22" id="55"/>
            </connections>
        </customObject>
        <customObject id="-1" userLabel="First Responder" customClass="FirstResponder"/>
        <customObject id="-3" userLabel="Application"/>
        <window title="การเชื่อต่อใหม่" allowsToolTipsWhenApplicationIsInactive="NO" autorecalculatesKeyViewLoop="NO" visibleAtLaunch="NO" frameAutosaveName="Connection" animationBehavior="default" id="22" userLabel="Panel" customClass="NSPanel">
            <windowStyleMask key="styleMask" titled="YES" resizable="YES"/>
            <windowPositionMask key="initialPositionMask" leftStrut="YES" rightStrut="YES" topStrut="YES" bottomStrut="YES"/>
            <rect key="contentRect" x="460" y="215" width="460" height="390"/>
            <rect key="screenRect" x="0.0" y="0.0" width="1280" height="778"/>
            <view key="contentView" autoresizesSubviews="NO" id="7">
                <rect key="frame" x="1" y="9" width="460" height="390"/>
                <autoresizingMask key="autoresizingMask"/>
                <subviews>
                    <textField verticalHuggingPriority="750" id="24">
                        <rect key="frame" x="398" y="314" width="42" height="19"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinX="YES" flexibleMinY="YES"/>
                        <animations/>
                        <textFieldCell key="cell" scrollable="YES" lineBreakMode="clipping" selectable="YES" editable="YES" sendsActionOnEndEditing="YES" state="on" borderStyle="bezel" alignment="left" drawsBackground="YES" id="100024">
                            <numberFormatter key="formatter" formatterBehavior="10_0" positiveFormat="0" negativeFormat="-0" localizesFormat="NO" hasThousandSeparators="NO" thousandSeparator="," id="150">
                                <attributedString key="attributedStringForZero">
                                    <fragment content="0"/>
                                </attributedString>
                                <decimal key="minimum" value="NaN"/>
                                <decimal key="maximum" value="NaN"/>
                            </numberFormatter>
                            <font key="font" metaFont="smallSystem"/>
                            <color key="textColor" name="textColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
                        </textFieldCell>
                        <connections>
                            <outlet property="nextKeyView" destination="26" id="226"/>
                        </connections>
                    </textField>
                    <textField verticalHuggingPriority="750" id="23">
                        <rect key="frame" x="347" y="316" width="46" height="14"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinX="YES" flexibleMinY="YES"/>
                        <animations/>
                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="พอร์ต:" id="100023">
                            <font key="font" metaFont="smallSystem"/>
                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                        </textFieldCell>
                    </textField>
                    <button verticalHuggingPriority="750" id="20">
                        <rect key="frame" x="258" y="152" width="84" height="32"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinX="YES" flexibleMaxY="YES"/>
                        <animations/>
                        <buttonCell key="cell" type="push" title="ยกเลิก" bezelStyle="rounded" alignment="center" borderStyle="border" inset="2" id="100020">
                            <behavior key="behavior" pushIn="YES" lightByBackground="YES" lightByGray="YES"/>
                            <font key="font" metaFont="system"/>
                            <string key="keyEquivalent" base64-UTF8="YES">
Gw
</string>
                        </buttonCell>
                        <connections>
                            <action selector="closeSheet:" target="-2" id="54"/>
                        </connections>
                    </button>
                    <textField verticalHuggingPriority="750" id="14">
                        <rect key="frame" x="-8" y="240" width="118" height="14"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                        <animations/>
                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="รหัสผ่าน:" id="100014">
                            <font key="font" metaFont="smallSystem"/>
                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                        </textFieldCell>
                    </textField>
                    <button verticalHuggingPriority="750" tag="1" id="25">
                        <rect key="frame" x="342" y="152" width="104" height="32"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinX="YES" flexibleMaxY="YES"/>
                        <animations/>
                        <buttonCell key="cell" type="push" title="เชื่อมต่อ" bezelStyle="rounded" alignment="center" state="on" borderStyle="border" tag="1" inset="2" id="100025">
                            <behavior key="behavior" pushIn="YES" lightByBackground="YES" lightByGray="YES"/>
                            <font key="font" metaFont="system"/>
                            <string key="keyEquivalent" base64-UTF8="YES">
DQ
</string>
                        </buttonCell>
                        <connections>
                            <action selector="closeSheet:" target="-2" id="52"/>
                        </connections>
                    </button>
                    <textField verticalHuggingPriority="750" id="19">
                        <rect key="frame" x="-8" y="316" width="118" height="14"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                        <animations/>
                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="เซอร์เวอร์:" id="100019">
                            <font key="font" metaFont="smallSystem"/>
                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                        </textFieldCell>
                    </textField>
                    <secureTextField verticalHuggingPriority="750" id="11">
                        <rect key="frame" x="115" y="238" width="325" height="19"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMinY="YES"/>
                        <animations/>
                        <secureTextFieldCell key="cell" lineBreakMode="clipping" selectable="YES" editable="YES" sendsActionOnEndEditing="YES" borderStyle="bezel" alignment="left" drawsBackground="YES" id="100011">
                            <font key="font" metaFont="smallSystem"/>
                            <color key="textColor" name="textColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
                            <allowedInputSourceLocales>
                                <string>NSAllRomanInputSourcesLocaleIdentifier</string>
                            </allowedInputSourceLocales>
                        </secureTextFieldCell>
                        <connections>
                            <outlet property="nextKeyView" destination="231" id="271"/>
                        </connections>
                    </secureTextField>
                    <textField verticalHuggingPriority="750" id="8">
                        <rect key="frame" x="-8" y="267" width="118" height="13"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                        <animations/>
                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="ชื่อผู้ใช้:" id="100008">
                            <font key="font" metaFont="smallSystem"/>
                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                        </textFieldCell>
                    </textField>
                    <textField verticalHuggingPriority="750" id="26">
                        <rect key="frame" x="115" y="265" width="325" height="19"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMinY="YES"/>
                        <animations/>
                        <textFieldCell key="cell" scrollable="YES" lineBreakMode="clipping" selectable="YES" editable="YES" sendsActionOnEndEditing="YES" state="on" borderStyle="bezel" alignment="left" drawsBackground="YES" id="100026">
                            <font key="font" metaFont="smallSystem"/>
                            <color key="textColor" name="textColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
                        </textFieldCell>
                        <connections>
                            <outlet property="nextKeyView" destination="11" id="272"/>
                        </connections>
                    </textField>
                    <popUpButton verticalHuggingPriority="750" id="21">
                        <rect key="frame" x="12" y="349" width="431" height="26"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMinY="YES"/>
                        <animations/>
                        <popUpButtonCell key="cell" type="push" title=" " bezelStyle="rounded" alignment="left" lineBreakMode="clipping" enabled="NO" state="on" borderStyle="borderAndBezel" inset="2" arrowPosition="arrowAtCenter" preferredEdge="maxY" selectedItem="6" id="100021">
                            <behavior key="behavior" pushIn="YES" lightByBackground="YES" lightByGray="YES"/>
                            <font key="font" metaFont="system"/>
                            <menu key="menu" title="OtherViews" id="17">
                                <items>
                                    <menuItem title=" " state="on" id="6"/>
                                </items>
                            </menu>
                        </popUpButtonCell>
                    </popUpButton>
                    <comboBox verticalHuggingPriority="750" id="105">
                        <rect key="frame" x="115" y="310" width="230" height="22"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMinY="YES"/>
                        <animations/>
                        <comboBoxCell key="cell" controlSize="small" scrollable="YES" lineBreakMode="clipping" selectable="YES" editable="YES" sendsActionOnEndEditing="YES" borderStyle="bezel" alignment="left" drawsBackground="YES" numberOfVisibleItems="5" id="100105">
                            <font key="font" metaFont="smallSystem"/>
                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
                        </comboBoxCell>
                        <connections>
                            <outlet property="nextKeyView" destination="24" id="225"/>
                        </connections>
                    </comboBox>
                    <button id="128">
                        <rect key="frame" x="112" y="198" width="330" height="16"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                        <animations/>
                        <buttonCell key="cell" type="check" title="เพิ่มเข้า Keychain" bezelStyle="regularSquare" imagePosition="left" alignment="left" controlSize="small" inset="2" id="100128">
                            <behavior key="behavior" changeContents="YES" doesNotDimImage="YES" lightByContents="YES"/>
                            <font key="font" metaFont="smallSystem"/>
                        </buttonCell>
                    </button>
                    <textField verticalHuggingPriority="750" id="133">
                        <rect key="frame" x="112" y="292" width="305" height="14"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMinY="YES"/>
                        <animations/>
                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" id="100133">
                            <font key="font" metaFont="smallSystem"/>
                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                        </textFieldCell>
                    </textField>
                    <button id="148">
                        <rect key="frame" x="112" y="216" width="330" height="16"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                        <animations/>
                        <buttonCell key="cell" type="check" title="ล็อกอินแบบนิรนาม" bezelStyle="regularSquare" imagePosition="left" alignment="left" controlSize="small" inset="2" id="100148">
                            <behavior key="behavior" changeContents="YES" doesNotDimImage="YES" lightByContents="YES"/>
                            <font key="font" metaFont="smallSystem"/>
                        </buttonCell>
                    </button>
                    <button id="179">
                        <rect key="frame" x="422" y="291" width="18" height="18"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinX="YES" flexibleMinY="YES"/>
                        <animations/>
                        <buttonCell key="cell" type="squareTextured" bezelStyle="texturedSquare" image="alert" imagePosition="only" alignment="left" id="100179">
                            <behavior key="behavior" lightByContents="YES"/>
                            <font key="font" metaFont="label"/>
                        </buttonCell>
                    </button>
                    <textField verticalHuggingPriority="750" id="182">
                        <rect key="frame" x="-8" y="292" width="118" height="14"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                        <animations/>
                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="URL:" id="100182">
                            <font key="font" metaFont="smallSystem"/>
                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                        </textFieldCell>
                    </textField>
                    <box verticalHuggingPriority="750" title="Box" boxType="separator" titlePosition="noTitle" id="200">
                        <rect key="frame" x="15" y="137" width="425" height="5"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMaxY="YES"/>
                        <animations/>
                        <color key="borderColor" white="0.0" alpha="0.41999999999999998" colorSpace="calibratedWhite"/>
                        <color key="fillColor" white="0.0" alpha="0.0" colorSpace="calibratedWhite"/>
                        <font key="titleFont" metaFont="system"/>
                    </box>
                    <customView autoresizesSubviews="NO" id="229" customClass="SNDisclosableView">
                        <rect key="frame" x="0.0" y="20" width="440" height="111"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES"/>
                        <subviews>
                            <textField verticalHuggingPriority="750" id="241">
                                <rect key="frame" x="-3" y="42" width="123" height="14"/>
                                <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                                <animations/>
                                <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="การเข้ารหัสตัวอักษร:" id="100241">
                                    <font key="font" metaFont="smallSystem"/>
                                    <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                    <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                                </textFieldCell>
                            </textField>
                            <textField verticalHuggingPriority="750" id="240">
                                <rect key="frame" x="-3" y="67" width="123" height="14"/>
                                <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                                <animations/>
                                <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="รูปแบบการเชื่อมต่อ:" id="100240">
                                    <font key="font" metaFont="smallSystem"/>
                                    <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                    <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                                </textFieldCell>
                            </textField>
                            <popUpButton verticalHuggingPriority="750" id="237">
                                <rect key="frame" x="121" y="37" width="322" height="22"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMinY="YES"/>
                                <animations/>
                                <popUpButtonCell key="cell" type="push" title=" " bezelStyle="rounded" alignment="left" controlSize="small" lineBreakMode="clipping" enabled="NO" state="on" borderStyle="borderAndBezel" inset="2" arrowPosition="arrowAtCenter" preferredEdge="maxY" selectedItem="239" id="100237">
                                    <behavior key="behavior" lightByBackground="YES" lightByGray="YES"/>
                                    <font key="font" metaFont="smallSystem"/>
                                    <menu key="menu" title="OtherViews" id="238">
                                        <items>
                                            <menuItem title=" " state="on" id="239"/>
                                        </items>
                                    </menu>
                                </popUpButtonCell>
                            </popUpButton>
                            <popUpButton verticalHuggingPriority="750" id="234">
                                <rect key="frame" x="121" y="62" width="322" height="22"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMinY="YES"/>
                                <animations/>
                                <popUpButtonCell key="cell" type="push" title=" " bezelStyle="rounded" alignment="left" controlSize="small" lineBreakMode="clipping" enabled="NO" state="on" borderStyle="borderAndBezel" inset="2" arrowPosition="arrowAtCenter" preferredEdge="maxY" selectedItem="236" id="100234">
                                    <behavior key="behavior" lightByBackground="YES" lightByGray="YES"/>
                                    <font key="font" metaFont="smallSystem"/>
                                    <menu key="menu" title="OtherViews" id="235">
                                        <items>
                                            <menuItem title=" " state="on" id="236"/>
                                        </items>
                                    </menu>
                                </popUpButtonCell>
                            </popUpButton>
                            <textField verticalHuggingPriority="750" id="233">
                                <rect key="frame" x="141" y="0.0" width="302" height="14"/>
                                <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                                <animations/>
                                <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" id="100233">
                                    <font key="font" metaFont="smallSystem"/>
                                    <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                    <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                                </textFieldCell>
                            </textField>
                            <button id="232">
                                <rect key="frame" x="121" y="19" width="321" height="16"/>
                                <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                                <animations/>
                                <buttonCell key="cell" type="check" title="ใช้กุญแจสาธารณะในการตรวจสอบสิทธิ์" bezelStyle="regularSquare" imagePosition="left" alignment="left" controlSize="small" enabled="NO" inset="2" id="100232">
                                    <behavior key="behavior" changeContents="YES" doesNotDimImage="YES" lightByContents="YES"/>
                                    <font key="font" metaFont="smallSystem"/>
                                </buttonCell>
                            </button>
                            <textField verticalHuggingPriority="750" id="231">
                                <rect key="frame" x="125" y="91" width="315" height="19"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMinY="YES"/>
                                <animations/>
                                <textFieldCell key="cell" scrollable="YES" lineBreakMode="clipping" selectable="YES" editable="YES" sendsActionOnEndEditing="YES" state="on" borderStyle="bezel" alignment="left" drawsBackground="YES" id="100231">
                                    <font key="font" metaFont="smallSystem"/>
                                    <color key="textColor" name="textColor" catalog="System" colorSpace="catalog"/>
                                    <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
                                </textFieldCell>
                                <connections>
                                    <outlet property="nextKeyView" destination="105" id="270"/>
                                </connections>
                            </textField>
                            <textField verticalHuggingPriority="750" id="230">
                                <rect key="frame" x="-3" y="93" width="123" height="14"/>
                                <autoresizingMask key="autoresizingMask" flexibleMinY="YES"/>
                                <animations/>
                                <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="right" title="ตำแหน่ง:" id="100230">
                                    <font key="font" metaFont="smallSystem"/>
                                    <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                    <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                                </textFieldCell>
                            </textField>
                        </subviews>
                        <animations/>
                    </customView>
                    <button horizontalHuggingPriority="750" verticalHuggingPriority="750" id="248">
                        <rect key="frame" x="15" y="143" width="13" height="13"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxY="YES"/>
                        <animations/>
                        <buttonCell key="cell" type="disclosureTriangle" bezelStyle="disclosure" imagePosition="above" alignment="center" state="on" borderStyle="border" inset="2" id="100248">
                            <behavior key="behavior" pushIn="YES" changeBackground="YES" changeGray="YES" lightByContents="YES"/>
                            <font key="font" metaFont="system"/>
                        </buttonCell>
                        <connections>
                            <action selector="toggleDisclosure:" target="229" id="251"/>
                        </connections>
                    </button>
                    <textField verticalHuggingPriority="750" id="249">
                        <rect key="frame" x="30" y="143" width="215" height="14"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxY="YES"/>
                        <animations/>
                        <textFieldCell key="cell" sendsActionOnEndEditing="YES" alignment="left" title="More Options" id="100249">
                            <font key="font" metaFont="smallSystemBold"/>
                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                        </textFieldCell>
                        <connections>
                            <action selector="performClick:" target="248" id="261"/>
                        </connections>
                    </textField>
                    <button horizontalHuggingPriority="750" verticalHuggingPriority="750" id="268">
                        <rect key="frame" x="231" y="157" width="21" height="23"/>
                        <autoresizingMask key="autoresizingMask" flexibleMinX="YES" flexibleMaxY="YES"/>
                        <animations/>
                        <buttonCell key="cell" type="help" bezelStyle="helpButton" alignment="center" borderStyle="border" inset="2" id="100268">
                            <behavior key="behavior" pushIn="YES" lightByBackground="YES" lightByGray="YES"/>
                            <font key="font" metaFont="system"/>
                        </buttonCell>
                        <connections>
                            <action selector="helpButtonClicked:" target="-2" id="269"/>
                        </connections>
                    </button>
                </subviews>
                <animations/>
            </view>
            <connections>
                <outlet property="initialFirstResponder" destination="105" id="108"/>
            </connections>
        </window>
        <view autoresizesSubviews="NO" id="201">
            <rect key="frame" x="0.0" y="0.0" width="125" height="1"/>
            <autoresizingMask key="autoresizingMask"/>
            <animations/>
        </view>
    </objects>
    <resources>
        <image name="alert" width="128" height="128"/>
    </resources>
</document>
